Gait Deviation Index (GDI) serves to the gait assessment based on the gait cycle's data acquired by the motion captured system Vicon. The resulting value of GDI ranges from 0 to 100 approximately. The value close to 100 means that the subject's gait is close to the normal gait cycle, the value close to 0 means the pathological gait.

The estimation of GDI was proposed by prof. Michael H. Schwartz, Ph.D., see the following article for more details:

Michael H.Schwartz and Adam Rozumalski: The Gait Deviation Index: a new comprehensive index of gait pathology. Gait & Posture, 28(3), pp. 351--357, 2008.
https://www.sciencedirect.com/science/article/abs/pii/S0966636208001136?via%3Dihub

## Prerequisites
* Python3
* Install numpy

## Source files
This software library contains the following two CSV files which contain the normative database of the gait cycles and the gait features:
* 'control_kinematics.csv' contains the normative database of the gait cycle from The Gait Laboratory of The University Hospital Brno;
* 'features.csv' contains the gait features reported by prof. Michael H. Schwartz, Ph.D.

The input file of the investigated subject must be a CSV file which name ends with `-R.csv` or `-L.csv`. The script decides about the subject side based on that information.

The script expects the input file in the form of the output of the 'Preprocessing_of_Gait_Dataset' software. Such file has a two-row header, where the second row must contain the certain columns with the prefixed side. The required columns are:
* `PelvisAngles_x`
* `PelvisAngles_y`
* `PelvisAngles_z`
* `HipAngles_x`
* `HipAngles_y`
* `HipAngles_z`
* `KneeAngles_x`
* `AnkleAngles_x`
* `FootProgressAngles_z`

For example, the right side (`-R.csv`) must contain the headers `RPelvisAngles_x`, `RPelvisAngles_y`, etc.

The values in each column must equal to 101, which corresponds to the standard length of the normalized gait cycle.

## Run
Prepare CSV file with subject's data and pass it as argument.

```shell
python3 main.py --subject-csv <<your_file.csv>>
``` 
